Name:          chkconfig
Version:       1.26
Release:       1mamba
Summary:       A system tool for maintaining the /etc/rc*.d hierarchy
Group:         System/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/fedora-sysv/chkconfig
Source:        https://github.com/fedora-sysv/chkconfig.git/%{version}/chkconfig-%{version}.tar.bz2
Patch:         %{name}-1.3.33-lang_it.patch
Patch1:        %{name}-1.3.34-alternatives_fixlinks.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libnewt-devel
BuildRequires: libpopt-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
Provides:      /sbin/chkconfig

%description
Chkconfig is a basic system utility.
It updates and queries runlevel information for system services.
Chkconfig manipulates the numerous symbolic links in /etc/rc.d, to relieve system administrators of some of the drudgery of manually editing the symbolic links.

%package -n ntsysv
Summary:       A tool to set the stop/start of system services in a runlevel
Group:         System/Configuration
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n ntsysv
Ntsysv provides a simple interface for setting which system services are started or stopped in various runlevels (instead of directly manipulating the numerous symbolic links in /etc/rc.d).
Unless you specify a runlevel or runlevels on the command line, ntsysv configures the current runlevel.

%debug_package

%prep
%setup -q

%build
%make CC=%{_host}-gcc \
%if "%{_build}" != "%{_host}"
   LDFLAGS="-lslang -ldl -lm"
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall MANDIR=%{_mandir} SBINDIR=%{_sbindir}

rm -f %{buildroot}/usr/lib/systemd/systemd-sysv-install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/chkconfig
%{_sbindir}/alternatives
%{_sbindir}/update-alternatives
%{_sbindir}/ntsysv
%dir %{_sysconfdir}/alternatives
%dir /var/lib/alternatives
%{_mandir}/man8/*
%exclude %{_mandir}/man8/ntsysv.*

%files -n ntsysv
%defattr(-,root,root)
%{_sbindir}/ntsysv
%{_mandir}/man8/ntsysv.*

%changelog
* Thu Jan 18 2024 Automatic Build System <autodist@openmamba.org> 1.26-1mamba
- automatic version update by autodist

* Thu Aug 03 2023 Automatic Build System <autodist@mambasoft.it> 1.25-1mamba
- automatic version update by autodist

* Fri May 05 2023 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Automatic Build System <autodist@mambasoft.it> 1.22-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic version update by autodist

* Fri Sep 03 2021 Automatic Build System <autodist@mambasoft.it> 1.20-1mamba
- automatic version update by autodist

* Sun Jul 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19-1mamba
- update to 1.19

* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic version update by autodist

* Fri Nov 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-2mamba
- remove file systemd-sysv-install conflicting with systemd

* Thu Nov 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-1mamba
- update to 1.14

* Fri Aug 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.59-1mamba
- update to 1.3.59

* Sun Jul 12 2009 Automatic Build System <autodist@mambasoft.it> 1.3.34-4mamba
- automatic rebuild by autodist

* Fri Aug 03 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.34-3mamba
- alternatives: don't try to rewrite symlinks if they are correct

* Wed Jun 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.34-2mamba
- alternatives:added a patch that fixes master link if wrong

* Mon Jun 04 2007 Aleph0 <aleph0@openmamba.org> 1.3.34-1mamba
- update to 1.3.34

* Thu Mar 22 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.33-1qilnx
- update to version 1.3.33 by autospec
- new subpackage ntsysv
- updated italian translations patch

* Mon Feb 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.3.6-4qilnx
- fixed italian translations patch

* Fri Nov 18 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.3.6-3qilnx
- italian translations patched

* Mon Sep 12 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3.6-2qilnx
- specfile updates

* Wed Apr 16 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 1.3.6-1qilnx
- creation of chkconfig package
